from django.urls import path

from . import views

urlpatterns = [
    path("summary", views.mentor_summary, name="mentor_summary"),
    path("mentors", views.list_user_mentors, name="list_user_mentors"),
    path(
        "mentors/<int:mentor_id>/leave",
        views.remove_self_from_mentor,
        name="remove_self_from_mentor",
    ),
    path("invitations", views.list_invitations, name="list_invitations"),
    path("invitations/create", views.create_invitation, name="create_invitation"),
    path(
        "invitations/<uuid:invitation_id>/delete",
        views.delete_invitation,
        name="delete_invitation",
    ),
    path("invitations/accept", views.accept_invitation, name="accept_invitation"),
]
